import { ORDER_TYPE, STATUS } from 'src/core/strings/constants/base.constants';

export interface BaseFilterEntity {
  page: number;
  limit: number;
  q?: string;
  names: string[];
  entity_ids: string[];
  order_by: string;
  order_type: ORDER_TYPE;
  statuses: STATUS[];
  created_ids: string[];
  created_from: number;
  created_to: number;
  updated_ids: string[];
  updated_from: number;
  updated_to: number;
}

export interface Param {
  cols: string;
  data: string[];
  additional?: any[];
  leftJoin?: any[];
  isStatus?: boolean;
}

export interface RelationParam {
  joinRelations: string[];
  selectRelations: string[];
  countRelations: string[];
}
