module.exports = {
  type: 'postgres',
  host: process.env.DEFAULT_DB_HOST,
  port: process.env.DEFAULT_DB_PORT,
  username: process.env.DEFAULT_DB_USER,
  password: process.env.DEFAULT_DB_PASS,
  database: process.env.DEFAULT_DB_NAME,
  logging: false,
  synchronize: false,
  entities: ['src/modules/**/**/data/models/*.ts'],
  seeds: ['src/database/data-seeds/**/*{seed.ts,seed.js}'],
  factories: ['src/database/factories/**/*{.ts,.js}'],
};
