import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { PosLogEntity } from '../../domain/entities/pos-log.entity';
import { PosLogModel } from '../models/pos-log.model';
import { InjectRepository } from '@nestjs/typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class PosLogService extends BaseDataService<PosLogEntity> {
  constructor(
    @InjectRepository(PosLogModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<PosLogModel>,
  ) {
    super(repo);
  }
}
