import { LogUserType } from 'src/core/helpers/constant';
import { UserRole } from '../../../../user-related/user/constants';
import { BaseCoreEntity } from 'src/core/modules/domain/entities/base-core.entity';

export interface LogUserLoginEntity extends BaseCoreEntity {
  type: LogUserType;
  role: UserRole;
  user_id: string;
  item_id: string;
  item_name: string;
  username: string;
  created_at: number;
}
