import { ApiProperty } from '@nestjs/swagger';
import { UploadEntity } from '../../domain/entities/upload.entity';
import { TABLE_NAME } from 'src/core/strings/constants/table.constants';

export class UploadDto implements UploadEntity {
  @ApiProperty({
    type: 'string',
    required: true,
    default: TABLE_NAME.ITEM,
  })
  module: string;

  @ApiProperty({
    type: 'string',
    required: false,
    default: TABLE_NAME.ITEM,
  })
  sub_module: string;

  @ApiProperty({ type: 'string', format: 'binary', required: true })
  file: any;
}
