import { Injectable } from '@nestjs/common';
import { ItemCategoryEntity } from '../../domain/entities/item-category.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { ItemCategoryModel } from '../models/item-category.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class ItemCategoryReadService extends BaseReadService<ItemCategoryEntity> {
  constructor(
    @InjectRepository(ItemCategoryModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<ItemCategoryModel>,
  ) {
    super(repo);
  }
}
