import { BaseCoreEntity } from 'src/core/modules/domain/entities/base-core.entity';
import { ItemEntity } from 'src/modules/item-related/item/domain/entities/item.entity';
import { QueueTicket } from './ticket.entity';
import { QueueModel } from '../../data/models/queue.model';

export interface QueueItem extends BaseCoreEntity {
  ticket?: QueueTicket;
  item?: ItemEntity;
  item_id: string;
  qty: number;
}

export interface MergedItemQueue extends BaseCoreEntity {
  id: string;
  queue_item_id: string;
  item_id: string;
  title: string;
  image_url: string;
  qty: number;
  queues: QueueModel[];
}
