import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class LoginReceiptDto {
  @ApiProperty({ name: 'id', required: true })
  @IsString()
  @IsNotEmpty()
  id: string;
}
