export enum DATA_FORMAT {
  TEXT = 'text',
  TEXT_UPPERCASE = 'text_uppercase',
  TEXT_LOWERCASE = 'text_lowercase',
  NUMBER = 'number',
  MINUS_NUMBER = 'minus_number',
  DATE_EPOCH = 'date_epoch',
  DATE_TIMESTAMP = 'date_timestamp',
  CURRENCY = 'currency',
  MINUS_CURRENCY = 'minus_currency',
  STATUS = 'status',
  BOOLEAN = 'boolean',
  PERCENTAGE = 'percentage',
}

export enum DATA_TYPE {
  DIMENSION = 'dimension',
  MEASURE = 'measure',
}

export enum FILTER_TYPE {
  TEXT_EQUAL = 'text_equals',
  TEXT_NOT_EQUAL = 'text_notEquals',
  TEXT_CONTAINS = 'text_contains',
  TEXT_MULTIPLE_CONTAINS = 'text_multiple_contains',
  TEXT_MULTIPLE_REGEXP_CONTAINS = 'text_multiple_regexp_contains',
  TEXT_NOT_CONTAINS = 'text_notContains',
  TEXT_START_WITH = 'text_startWith',
  TEXT_END_WITH = 'text_endWith',
  TEXT_IN_MEMBER = 'text_inMemberText',
  TEXT_IN_RANGE = 'text_inTextRange',

  DATE_IN_RANGE_EPOCH = 'text_inDateRange_epoch',
  DATE_IN_RANGE_TIMESTAMP = 'text_inDateRange_timestamp',

  NUMBER_EQUAL = 'number_equals',
  NUMBER_NOT_EQUAL = 'number_notEqual',
  NUMBER_GREATER_THAN = 'number_greaterThan',
  NUMBER_GREATER_THAN_OR_EQUAL = 'number_greaterThanOrEqual',
  NUMBER_LESS_THAN = 'number_lessThan',
  NUMBER_LESS_THAN_OR_EQUAL = 'number_lessThanOrEqual',
  NUMBER_IN_RANGE = 'number_inRange',
}

export enum FILTER_FIELD_TYPE {
  select = 'select',
  input_text = 'input_text',
  input_number = 'input_number',
  input_tag = 'input_tag',
  date_picker = 'date_picker',
  date_range_picker = 'date_range_picker',
  month_range_picker = 'month_range_picker',
}
