import { Injectable } from '@nestjs/common';
import { SeasonPeriodEntity } from '../../domain/entities/season-period.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { SeasonPeriodModel } from '../models/season-period.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class SeasonPeriodReadService extends BaseReadService<SeasonPeriodEntity> {
  constructor(
    @InjectRepository(SeasonPeriodModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<SeasonPeriodModel>,
  ) {
    super(repo);
  }
}
