import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { SeasonTypeEntity } from '../../domain/entities/season-type.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { SeasonTypeModel } from '../models/season-type.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class SeasonTypeDataService extends BaseDataService<SeasonTypeEntity> {
  constructor(
    @InjectRepository(SeasonTypeModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<SeasonTypeModel>,
  ) {
    super(repo);
  }
}
