import { BaseStatusDto } from 'src/core/modules/infrastructure/dto/base-status.dto';
import { SeasonTypeEntity } from '../../domain/entities/season-type.entity';
import { ApiProperty } from '@nestjs/swagger';
import { IsString } from 'class-validator';

export class SeasonTypeDto extends BaseStatusDto implements SeasonTypeEntity {
  @ApiProperty({
    type: String,
    required: true,
    example: 'high sesason',
  })
  @IsString()
  name: string;
}
