import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { PaymentMethodEntity } from '../../domain/entities/payment-method.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { PaymentMethodModel } from '../models/payment-method.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class PaymentMethodDataService extends BaseDataService<PaymentMethodEntity> {
  constructor(
    @InjectRepository(PaymentMethodModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<PaymentMethodModel>,
  ) {
    super(repo);
  }
}
