import { Injectable } from '@nestjs/common';
import { PaymentMethodEntity } from '../../domain/entities/payment-method.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { PaymentMethodModel } from '../models/payment-method.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class PaymentMethodReadService extends BaseReadService<PaymentMethodEntity> {
  constructor(
    @InjectRepository(PaymentMethodModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<PaymentMethodModel>,
  ) {
    super(repo);
  }
}
