import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { UserPrivilegeEntity } from '../../domain/entities/user-privilege.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { UserPrivilegeModel } from '../models/user-privilege.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class UserPrivilegeDataService extends BaseDataService<UserPrivilegeEntity> {
  constructor(
    @InjectRepository(UserPrivilegeModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<UserPrivilegeModel>,
  ) {
    super(repo);
  }
}
