import { BaseStatusDto } from 'src/core/modules/infrastructure/dto/base-status.dto';
import { UserPrivilegeEntity } from '../../domain/entities/user-privilege.entity';
import { ApiProperty } from '@nestjs/swagger';
import { IsString } from 'class-validator';

export class CreateUserPrivilegeDto
  extends BaseStatusDto
  implements UserPrivilegeEntity
{
  @ApiProperty({ name: 'name', required: true })
  @IsString()
  name: string;
}
