import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { BannerEntity } from '../../domain/entities/banner.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.BANNER)
export class BannerModel
  extends BaseStatusModel<BannerEntity>
  implements BannerEntity
{
  @Column('varchar', { name: 'image_url', nullable: true })
  image_url: string;

  @Column('varchar', { name: 'title', nullable: true })
  title: string;

  @Column('varchar', { name: 'link', nullable: true })
  link: string;
}
