import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { BannerEntity } from '../../domain/entities/banner.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { BannerModel } from '../models/banner.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class BannerDataService extends BaseDataService<BannerEntity> {
  constructor(
    @InjectRepository(BannerModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<BannerModel>,
  ) {
    super(repo);
  }
}
