import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { TermConditionEntity } from '../../domain/entities/term-condition.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.TERM_CONDITION)
export class TermConditionModel
  extends BaseStatusModel<TermConditionEntity>
  implements TermConditionEntity
{
  @Column('int', { name: 'sort_order', default: 0 })
  sort_order: number;

  @Column('varchar', { name: 'title', nullable: true })
  title: string;

  @Column('text', { name: 'description', nullable: true })
  description: string;
}
