import { Injectable } from '@nestjs/common';
import { TermConditionEntity } from '../../domain/entities/term-condition.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { TermConditionModel } from '../models/term-condition.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class TermConditionReadService extends BaseReadService<TermConditionEntity> {
  constructor(
    @InjectRepository(TermConditionModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<TermConditionModel>,
  ) {
    super(repo);
  }
}
