import { Entity, PrimaryGeneratedColumn } from 'typeorm';
import { BaseCoreEntity } from '../../domain/entities/base-core.entity';

@Entity()
export abstract class BaseCoreModel<Entity> implements BaseCoreEntity {
  @PrimaryGeneratedColumn('uuid')
  id: string;
}
