import { ConfigModule } from '@nestjs/config';
import { MidnightCronManager } from './domain/managers/midnight-cron.manager';
import { Module } from '@nestjs/common';
import { CqrsModule } from '@nestjs/cqrs';

@Module({
  imports: [ConfigModule.forRoot(), CqrsModule],
  controllers: [MidnightCronManager],
  providers: [],
})
export class CronModule {}
