import { ApiProperty } from '@nestjs/swagger';
import { FilterGoogleCalendarEntity } from '../../domain/entities/filter-google-calendar.entity';

export class FilterGoogleCalendarDto implements FilterGoogleCalendarEntity {
  @ApiProperty({
    required: false,
    type: Date,
    example: '2024-04-01',
  })
  start_date: Date;

  @ApiProperty({
    required: false,
    type: Date,
    example: '2024-04-30',
  })
  end_date: Date;
}
