import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { ErrorLogEntity } from '../../domain/entities/error-log.entity';
import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { ErrorLogModel } from '../models/error-log.model';
import { Repository } from 'typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';

@Injectable()
export class ErrorLogService extends BaseDataService<ErrorLogEntity> {
  constructor(
    @InjectRepository(ErrorLogModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<ErrorLogModel>,
  ) {
    super(repo);
  }
}
