import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { LogEntity } from '../../domain/entities/log.entity';
import { LogModel } from '../models/log.model';
import { InjectRepository } from '@nestjs/typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class LogService extends BaseDataService<LogEntity> {
  constructor(
    @InjectRepository(LogModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<LogModel>,
  ) {
    super(repo);
  }
}
