import { Global, Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { GateController } from './infrastructure/gate.controller';

@Global()
@Module({
  imports: [
    ConfigModule.forRoot(),
    // TypeOrmModule.forFeature(
    //   [],
    //   CONNECTION_NAME.DEFAULT,
    // ),
  ],
  controllers: [GateController],
  providers: [],
})
export class GateScanModule {}
