import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { ItemQueueEntity } from '../../domain/entities/item-queue.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { ItemQueueModel } from '../models/item-queue.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class ItemQueueDataService extends BaseDataService<ItemQueueEntity> {
  constructor(
    @InjectRepository(ItemQueueModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<ItemQueueModel>,
  ) {
    super(repo);
  }
}
