import { BaseStatusEntity } from 'src/core/modules/domain/entities/base-status.entity';
import { ItemType, UsageType } from '../../constants';
import { ItemEntity } from 'src/modules/item-related/item/domain/entities/item.entity';

export interface ItemQueueEntity extends BaseStatusEntity {
  name: string;
  item_type: ItemType;
  information?: string;
  max_peak_level: number;
  call_preparation: number;
  items: ItemEntity[];
  use_notification?: boolean;
  requiring_notification?: boolean;
  usage_type?: UsageType;
}
