import { Injectable } from '@nestjs/common';
import { TimeGroupEntity } from '../../domain/entities/time-group.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { TimeGroupModel } from '../models/time-group.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class TimeGroupReadService extends BaseReadService<TimeGroupEntity> {
  constructor(
    @InjectRepository(TimeGroupModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<TimeGroupModel>,
  ) {
    super(repo);
  }
}
