import { BaseCoreEntity } from 'src/core/modules/domain/entities/base-core.entity';
import { QueueOrder } from './order.entity';
import { QueueItem } from './queue-item.entity';

// eslint-disable-next-line @typescript-eslint/no-empty-interface
export interface QueueTicket extends BaseCoreEntity {
  code: string;
  customer: string;
  phone: string;
  date: number;
  order?: QueueOrder;
  order_id?: string;
  items: QueueItem[];
}
