import { ReportConfigEntity } from '../../entities/report-config.entity';

import IncomeReport from './configs/income';
import CancelReport from './configs/cancel-transaction';
import IncomeReportPerItem from './configs/income-per-item';
import IncomeReportPerItemMaster from './configs/income-per-item-master';
import GivingDiscount from './configs/giving-discounts';
import BookingReport from './configs/booking';
import RefundsReport from './configs/refunds';
import CashierLogReport from './configs/cashier-log';
import CashWithdrawalsReport from './configs/cash-withdrawals';
import ReconciliationReport from './configs/reconciliation';
import TaxReport from './configs/tax';
import DemographyReport from './configs/demography';
import VipCodeReport from './configs/vip_code';

export const TransactionReportConfig: ReportConfigEntity[] = [
  IncomeReport,
  IncomeReportPerItem,
  IncomeReportPerItemMaster,
  CancelReport,
  GivingDiscount,
  BookingReport,
  RefundsReport,
  CashierLogReport,
  CashWithdrawalsReport,
  ReconciliationReport,
  TaxReport,
  DemographyReport,
  VipCodeReport,
];
