import { ApiProperty } from '@nestjs/swagger';
import { Transform } from 'class-transformer';

export class GetReportConfigDto {
  @ApiProperty({ type: ['string'], required: false })
  @Transform((body) => {
    return Array.isArray(body.value) ? body.value : [body.value];
  })
  group_names?: string;

  @ApiProperty({ type: ['string'], required: false })
  @Transform((body) => {
    return Array.isArray(body.value) ? body.value : [body.value];
  })
  unique_names?: string[];
}
