import { BaseEntity } from 'src/core/modules/domain/entities/base.entity';
import { REPORT_HISTORY_STATUS } from '../constant';

export interface ExportReportHistoryEntity extends BaseEntity {
  group_name: string;
  unique_name: string;
  label: string;
  file_name: string;
  total_data: number;
  processing_data: number;
  file_url?: string;
  status?: REPORT_HISTORY_STATUS;
  last_process_offset?: number;
  last_process_limit?: number;
  total_resume?: number;
  last_resume_created_at?: number;
  query_export?: string;
  canceled_at?: number;
}
