export interface QueryModelEntity {
  startRow: number;
  endRow: number;
  rowGroupCols: RowGroupCol[];
  valueCols: any[];
  pivotCols: any[];
  pivotMode: boolean;
  groupKeys: any[];
  filterModel: any;
  sortModel: any[];
}

interface RowGroupCol {
  id: string;
  displayName: string;
  field: string;
}

export interface ColumnStateEntity {
  colId: string;
  width: number;
  hide: boolean;
  pinned: any;
  sort: any;
  sortIndex: any;
  aggFunc: any;
  rowGroup: boolean;
  rowGroupIndex: any;
  pivot: boolean;
  pivotIndex: any;
  flex: number;
}
