import { ApiProperty } from '@nestjs/swagger';

export class SeasonPeriodHolidayDto {
  @ApiProperty({
    type: Date,
    required: true,
    example: '01/01/2024',
  })
  start_date: Date;

  @ApiProperty({
    type: Date,
    required: true,
    example: '30/12/2024',
  })
  end_date: Date;

  @ApiProperty({
    type: Date,
    required: true,
    example: 'Hari Raya',
  })
  holiday_name: string;
}
