import { Injectable } from '@nestjs/common';
import { RefundEntity } from '../../domain/entities/refund.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { RefundModel } from '../models/refund.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class RefundReadService extends BaseReadService<RefundEntity> {
  constructor(
    @InjectRepository(RefundModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<RefundModel>,
  ) {
    super(repo);
  }
}
