import { BaseFilterEntity } from 'src/core/modules/domain/entities/base-filter.entity';

export interface FilterTransactionEntity extends BaseFilterEntity {
  // search mdr
  customer_names?: string[];
  confirm_by_names?: string[];
  payment_banks?: string[];
  payment_bank_numbers?: string[];

  // seatch booking;
  payment_types?: string[];
  types?: string[];
  customer_types?: string[];
  invoice_codes?: string[];
  refund_codes?: string[];
  creator_names?: string[];

  // filter mdr
  payment_date_from?: Date;
  payment_date_to?: Date;
  transaction_type?: string;
  couner_no?: number;
  payment_type?: string;
  payment_via?: string;
  payment_bank?: string;
  confirmation_date_from?: Date;
  confirmation_date_to?: Date;

  // filter booking
  booking_date_from?: Date;
  booking_date_to?: Date;
  invoice_date_from?: Date;
  invoice_date_to?: Date;
  settlement_date_from?: Date;
  settlement_date_to?: Date;
  request_refund_date_from?: Date;
  request_refund_date_to?: Date;
}
