import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { VipCategoryEntity } from '../../domain/entities/vip-category.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { VipCategoryModel } from '../models/vip-category.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class VipCategoryDataService extends BaseDataService<VipCategoryEntity> {
  constructor(
    @InjectRepository(VipCategoryModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<VipCategoryModel>,
  ) {
    super(repo);
  }
}
