import { Injectable } from '@nestjs/common';
import { VipCodeEntity } from '../../domain/entities/vip-code.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { VipCodeModel } from '../models/vip-code.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class VipCodeReadService extends BaseReadService<VipCodeEntity> {
  constructor(
    @InjectRepository(VipCodeModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<VipCodeModel>,
  ) {
    super(repo);
  }
}
