import { BaseStatusEntity } from 'src/core/modules/domain/entities/base-status.entity';
import { UserRole } from '../../constants';

export interface UserEntity extends BaseStatusEntity {
  name: string;
  username: string;
  password: string;
  role: UserRole;

  // tenant data
  share_margin: number;
  email: string;
}
