import { Injectable } from '@nestjs/common';
import { FaqEntity } from '../../domain/entities/faq.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { FaqModel } from '../models/faq.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class FaqReadService extends BaseReadService<FaqEntity> {
  constructor(
    @InjectRepository(FaqModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<FaqModel>,
  ) {
    super(repo);
  }
}
