import { Injectable } from '@nestjs/common';
import { GateEntity } from '../../domain/entities/gate.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { GateModel } from '../models/gate.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class GateReadService extends BaseReadService<GateEntity> {
  constructor(
    @InjectRepository(GateModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<GateModel>,
  ) {
    super(repo);
  }
}
