import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { NewsEntity } from '../../domain/entities/news.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.NEWS)
export class NewsModel
  extends BaseStatusModel<NewsEntity>
  implements NewsEntity
{
  @Column('varchar', { name: 'image_url', nullable: true })
  image_url: string;

  @Column('varchar', { name: 'title', nullable: true })
  title: string;

  @Column('varchar', { name: 'teaser', nullable: true })
  teaser: string;

  @Column('varchar', { name: 'description', nullable: true })
  description: string;
}
